Page MenuHomePhabricator

lldbutil: Forward ASan launch info to test inferiors
ClosedPublic

Authored by vsk on Dec 11 2019, 4:24 PM.

Details

Summary

This allows an unsanitized test process which loads a sanitized DSO (the
motivating example is a Swift runtime dylib) to launch on Darwin.

rdar://57290132

Diff Detail

Event Timeline

vsk created this revision.Dec 11 2019, 4:24 PM
vsk edited the summary of this revision. (Show Details)
JDevlieghere accepted this revision.Jan 6 2020, 10:03 AM
JDevlieghere added a subscriber: JDevlieghere.

We already have something like this for the sanitized bot. I think this will cause the variable to bet set twice in the launch info twice? If not this LGTM.

This revision is now accepted and ready to land.Jan 6 2020, 10:03 AM
davide accepted this revision.Jan 6 2020, 11:20 AM

This looks good to me.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJan 10 2020, 2:53 PM